cutlass_math.h File Reference

Math utilities. More...

`#include <cutlass/util/platform.h>`

Go to the source code of this file.

## Classes

struct | cutlass::is_pow2< N >
struct | cutlass::log2_down< N, CurrentVal, Count >
struct | cutlass::log2_down< N, 1, Count >
struct | cutlass::log2_up< N, CurrentVal, Count >
struct | cutlass::log2_up< N, 1, Count >
struct | cutlass::sqrt_est< N >
struct | cutlass::divide_assert< Dividend, Divisor >

## Namespaces

| cutlass

## Functions

template<typename dividend_t , typename divisor_t >
CUTLASS_HOST_DEVICE dividend_t | cutlass::round_nearest (dividend_t dividend, divisor_t divisor)
template<typename value_t >
CUTLASS_HOST_DEVICE value_t | cutlass::gcd (value_t a, value_t b)
template<typename value_t >
CUTLASS_HOST_DEVICE value_t | cutlass::lcm (value_t a, value_t b)